/*********************************************** ROUND TRIPS = WYPRAWY ***********************************************/

/************************************************** ARCHIVE WYPRAVY **************************************************/
.page-wyprawy {background-color: #F1F5D3;}
.wyprawy-intro {
    height: 90vh;
    display: flex;
    align-items: center;
    justify-content: center;
}
.wyprawy-intro .wp-block-group__inner-container {height: 100%;}
.wyprawy-intro .wp-block-image img {height:200px;}
.wyprawy-intro-img {
    position: absolute;
    bottom: 0;
    width: 100%;
    text-align: left !important;
}
.wyprawy-intro-img img {
    width: 80%;
    height: auto !important;
}
.wyprawy-intro .wp-block-image {text-align: right;}

#wyprawy-list {scroll-margin-top: 50px;}

.wyprawy-archive-list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    margin: 50px 0;
    gap: 20px;
}
.wyprawy-item {
    border-radius: 20px 20px 0 0;
    overflow: hidden;
    box-shadow: 6px 7px 26px 0px rgba(0, 0, 0, 0.1);
    background-color: white;
}
.wyprawy-item-content {
    padding: 20px;
}
.wyprawy-item-content i {font-size: 20px;}
.wyprawy-item-content span {gap: 10px;}

.wyprawy-item-bottom {
    color: var(--orange);
    padding-top: 20px;
    margin-top:20px;
    border-top: 1px solid #e7e7e7;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.wyprawy-price {font-size: 30px;}
.wyprawy-item-bottom a {
    font-size: 18px;
    color: var(--orange);
}

.wyprawy-item-status,
.wyprawy-item-start-end,
.wyprawy-item-day-people p {
    font-size: 18px;
    padding: 5px 0;
}

.wyprawy-faq {
    margin: 0 auto;
    width: 50%;
}

.wyprawy-item-content p {margin: 5px 0;}

/************************************************** SINGLE WYPRAWY **************************************************/
.header.header.header-wyprawy {
	box-shadow:none;
}

#description,
#program,
#important,
#price-info,
#gallery
{scroll-margin-top: 150px;}

.single-wyprawy-post {background-color: #F4F6E8;}
.single-wyprawy-post p {font-size: 18px;}
.single-wyprawy-intro {
    height: 50vh;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: end;
}
.single-wyprawy-intro::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
}
.single-wyprawy-intro-content {
    position: relative;
    display: flex;
    justify-content: end;
    height: 100%;
    flex-direction: column;
    z-index: 9;
    color: var(--light_cream);
}
.single-wyprawy-meta {
    display: flex;
    gap: 50px;
}
.single-wyprawy-meta-item {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.single-wyprawy-meta-item i {font-size: 20px;}

.single-wyprawy-nav {
    width: 100%;
    background-color: #434510;
    position: relative;
}
.single-wyprawy-nav ul {
    display: flex;
    justify-content: space-between;
	margin:0;
}
.single-wyprawy-nav ul a {
    color: #F7FFBB;
    text-transform: uppercase;
    font-size: 20px;
    font-weight: 600;
    display: block;
    padding: 20px;
}
.single-wyprawy-nav ul a.active {background-color: var(--orange);}

.single-wyprawy-form {
    background-color: #F1F5D3;
    border-radius: 30px;
    padding: 30px;
    color: #000;
    position: sticky;
    top: 100px;
    width: 500px;
    margin-top: -300px;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    margin-bottom: 50px;
    z-index: 9;
}
.single-wyprawy-price-status {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.single-wyprawy-price {
    font-size: 32px;
    font-weight: 600;
    position: relative;
}
.single-wyprawy-price.old-price {font-size: 24px;}
.single-wyprawy-price.old-price::after {
    content: "";
    display: block;
    width: 100%;
    height: 1px;
    background-color: black;
    position: absolute;
    top: 50%;
    left: 0;
    transform: rotate(5deg);
}
.single-wyprawy-status {
    color: #F7FFBB;
    background-color: #434510;
    padding: 10px;
    border-radius: 10px;
    line-height: 100%;
    font-size: 16px !important;
    width: max-content;
    text-transform: uppercase;
    font-weight: 600;
}
.single-wyprawy-discount {
    display: flex;
    justify-content: space-between;
    color: #FF481F;
    align-items: center;
}
.single-wyprawy-discounted-price {
    font-weight: 600;
    font-size: 32px;
    line-height: 120%;
    letter-spacing: 0%;
}
.single-wyprawy-discounted-price span,
.single-wyprawy-price span {
    font-size: 16px;
    font-weight: 300;
}
.single-wyprawy-discount-date {
    font-weight: 700;
    width: 50%;
    text-align: right;
    font-size: 14px;
}

.single-wyprawy-form .disabled {
    position: absolute;
    width: 100%;
    height: 100%;
    display: block;
    background: #bbbbbba3;
    top: 0;
    right: 0;
    z-index: 999;
    border-radius: 30px;
}
.single-wyprawy-booking .form-group {
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin-bottom: 10px;
}
.single-wyprawy-booking .form-group label {
    font-size: 14px;
    font-weight: 300;
	display: flex;
    flex-direction: column;
    width: 100%;
    gap: 5px;
    margin-bottom: 10px;
}
.single-wyprawy-booking .form-group input {
    border: none;
    padding: 10px;
    border-radius: 10px;
	width:100%;
}
.single-wyprawy-booking .form-group .required {color: red;}

button.rezerwuj:disabled {
    opacity: 0.5;
}

.single-wyprawy-booking .single-wyprawy-submit {
    width: 100%;
    border: none;
    background-color: var(--orange);
    padding: 10px;
    border-radius: 50px;
    color: var(--light_cream);
    font-weight: 500;
    font-size: 18px;
	margin-bottom:20px;
}
.single-wyprawy-booking ul {
    list-style-image: url(/wp-content/uploads/2026/03/check.png);
    list-style-position: inside;
    font-size: 16px;
    font-weight: 300;
    display: flex;
    flex-direction: column;
    gap:10px;
}

.single-wyprawy-available-days {
    display: flex;
    gap: 50px;
}
.single-wyprawy-available-days p {
    font-weight: 600;
    color: #CD4B1E;
    font-size: 26px;
}

.single-wyprawy-program .heading4 {
    background-color: #434510;
    color: var(--light_cream);
    padding: 5px;
    text-align: center;
    border-radius: 15px;
}
.single-wyprawy-program-accordion-item {
    border-bottom: 2px solid #CFD795;
    background: #FFFFF9;
}
.single-wyprawy-program-accordion-header {
    width: 100%;
    text-align: left;
    padding: 20px 70px 20px 30px;
    border: none;
    cursor: pointer;
    font-size: 24px;
    color: #434510;
    font-weight: 600;
    display: flex;
    align-items: center;
    gap: 50px;
    background-color: #FFFFF9;
    position: relative;
}
.single-wyprawy-program-accordion-header span {
    font-size: 48px;
    color: #434510;
    font-weight: 700;
    line-height: 100%;
}
button.single-wyprawy-program-accordion-header:after {
    content: "+";
    position: absolute;
    right: 25px;
    top: 50%;
    transform: translateY(-50%);
    background-color: #F3F5F6;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    font-weight: 400;
    color: black;
}
.single-wyprawy-program-accordion-item.active button.single-wyprawy-program-accordion-header:after {
    transform: translateY(-50%) rotate(45deg);
    background-color: #CFD795;
}
.single-wyprawy-program-accordion-content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease;
    padding: 0 30px;
}
.single-wyprawy-program-accordion-content.active {padding:30px;}
.single-wyprawy-program-accordion-content p {margin: 15px 0;}
.single-wyprawy-program-accordion-content img {
    max-width: 100%;
    margin-bottom: 15px;
}

.single-wyprawy-gallery-grid {
    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 20px;
}
  
.single-wyprawy-gallery-item.big {
    grid-row: span 2;
}
.single-wyprawy-gallery-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 30px;
}


.single-wyprawy-price-info-content{
    display: grid;
    grid-template-columns: 0.75fr 1fr;
    margin-bottom: 30px;
    border-top: 1px solid #CFD795;
    padding: 20px 10px 10px;
}
.single-wyprawy-price-info-content ul {
    display: flex;
    flex-direction: column;
    gap: 10px;
    list-style-position: inside;
}
.wyprawy-element-included ul {list-style-image: url(/wp-content/uploads/2026/03/check.png);}
.wyprawy-element-excluded ul {list-style-image: url(/wp-content/uploads/2026/03/excluded.png);}

#single-wyprawy-form-modal {
    background-color: #F1F5D3;
}
.single-wyprawy-form-modal-content {background-color: unset;}

.single-wyprawy-form-mobile {display: none;}
.single-wyprawy-form-mobile .single-wyprawy-discount-date {font-size: 12px;}


/************************************************** OPTIMIZATION **************************************************/

@media (max-width: 1600px) {
	.single-wyprawy-intro-content h1{font-size:30px;}
	.form-groups {
		display:grid;
		grid-template-columns: 1fr 1fr;
		gap:10px;
	}
	.single-wyprawy-form {
		width:450px;
		top:120px;
	}
	.single-wyprawy-booking ul {font-size:14px;}
	.single-wyprawy-intro {height:60vh;}
	.single-wyprawy-nav ul a {padding:15px 20px;}
	
	.wyprawy-intro {
		height: 100%;
		display: block;
		padding: 100px 0 0;
	}

@media (max-width: 1200px) {}

@media (max-width: 991px) {
    .wyprawy-archive-list {grid-template-columns: 1fr 1fr;}

    .wyprawy-intro {height: 100%;}
    .wyprawy-intro-img {
        display: block !important;
        position: relative;
    }
    .wyprawy-intro-img img {width: 100%;}
    .wyprawy-intro .wp-block-image,
    .single-wyprawy-form-desktop {display: none;}

    .single-wyprawy-form-mobile {
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 10px;
        position: sticky;
        top: 80px;
        background-color: white;
        padding: 10px;
        box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.05);
    }
}

@media (max-width: 768px) {
    .wyprawy-intro {padding: 30px 20px 0;}
    .wyprawy-intro p {font-size: 18px !important;}
    .wyprawy-intro .wp-block-columns {margin-bottom: 0;}
    .wyprawy-archive-list {grid-template-columns: 1fr;}
    .wyprawy-faq {width: 100%;}

    .single-wyprawy-nav {display: none;}
    .single-wyprawy-intro-content {padding: 10px;}
    .single-wyprawy-meta {
        flex-direction: column;
        gap: 10px;
    }
    .single-wyprawy-meta-item {
        flex-direction: row;
        align-items: center;
        gap: 20px;
    }
    .single-wyprawy-meta-item small {display: flex;}
    .single-wyprawy-meta-item i {margin-right: 10px;}

    .single-wyprawy-available-days {
        flex-direction: column;
        gap: 10px;
    }

    .single-wyprawy-form-mobile .rezerwuj {
        height: 100%;
        border-radius: 50px;
        padding: 10px 30px;
        background-color: var(--orange);
        border: none;
        color: var(--light_cream);
        font-weight: 500;
    }

    .single-wyprawy-program .heading4 {
        font-size: 20px;
        padding: 15px;
    }
    .single-wyprawy-program-accordion-header {
        font-size: 16px;
        gap: 20px;
    }
    .single-wyprawy-program-accordion-header span {font-size: 35px;}
    .single-wyprawy-program-accordion-header:after {
        height: 40px;
        width: 40px;
        font-size: 20px;
    }
    .single-wyprawy-program-accordion-content p {font-size: 16px;}
    .single-wyprawy-price-info-content {
        grid-template-columns: 1fr;
        gap: 20px;
        margin-bottom: 0;
    }

    .single-wyprawy-gallery-grid {
        grid-template-columns: 1fr 1fr;
        gap:10px;
    }
    .single-wyprawy-gallery-item img {border-radius: 20px;}
    .single-wyprawy-gallery-item.big {grid-column: 1 / 3;}

}

@media (max-width: 600px) {}
